import os

from pysqlite2 import dbapi2 as sqlite
from openid.store import sqlstore

from turbogears.util import load_project_config, config

CFG_OPT = "openid_store"

class CreateOpenidStore:
    """Creates and initializes an sqlite database to use as OpendID store
    
    The sqlite dbfile is created in the location determined by the C{CFG_OPT}
    configuration setting."""
    desc = """Creates and initializes an sqlite database to use as OpendID store

The sqlite dbfile is created in the location determined by the C{CFG_OPT}
configuration setting."""
    need_project = True
    name = None
    package = None
    __version__="0.1"
    __author__="Robert Forkel"

    def __init__(self, version):
        pass

    def run(self):
        load_project_config(None)
        store = config.get(CFG_OPT, None)
        if store:
            if os.path.exists(store):
                print "%s does already exist!" % store
            else:
                store = sqlstore.SQLiteStore(sqlite.connect(store))
                store.createTables()
        else:
            print "Configuration setting '%s' not found!" % CFG_OPT
